test_gns_soa_lookup.sh 1.6 KB

12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849
  1. #!/bin/sh
  2. # This file is in the public domain.
  3. trap "gnunet-arm -e -c test_gns_lookup.conf" INT
  4. LOCATION=$(which gnunet-config)
  5. if [ -z $LOCATION ]
  6. then
  7. LOCATION="gnunet-config"
  8. fi
  9. $LOCATION --version 1> /dev/null
  10. if test $? != 0
  11. then
  12. echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
  13. exit 77
  14. fi
  15. which timeout > /dev/null 2>&1 && DO_TIMEOUT="timeout 5"
  16. rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
  17. MY_EGO="myego"
  18. TEST_DOMAIN="homepage.$MY_EGO"
  19. # some public DNS resolver we can use
  20. TEST_IP_GNS2DNS="184.172.157.218"
  21. TEST_RECORD_NAME="homepage"
  22. TEST_RECORD_GNS2DNS="gnunet.org"
  23. if ! nslookup $TEST_RECORD_GNS2DNS $TEST_IP_GNS2DNS > /dev/null 2>&1
  24. then
  25. echo "Cannot reach DNS, skipping test"
  26. exit 77
  27. fi
  28. gnunet-arm -s -c test_gns_lookup.conf
  29. gnunet-identity -C $MY_EGO -c test_gns_lookup.conf
  30. gnunet-namestore -p -z $MY_EGO -a -n $TEST_RECORD_NAME -t GNS2DNS -V ${TEST_RECORD_GNS2DNS}@${TEST_IP_GNS2DNS} -e never -c test_gns_lookup.conf
  31. RES_SOA=`$DO_TIMEOUT gnunet-gns --raw -u $TEST_DOMAIN -t SOA -c test_gns_lookup.conf`
  32. gnunet-namestore -z $MY_EGO -d -n $TEST_RECORD_NAME -t GNS2DNS -V ${TEST_RECORD_GNS2DNS}@${TEST_IP_GNS2DNS} -e never -c test_gns_lookup.conf > /dev/null 2>&1
  33. gnunet-identity -D $MY_EGO -c test_gns_lookup.conf
  34. gnunet-arm -e -c test_gns_lookup.conf
  35. rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
  36. if [ "x$RES_SOA" != "x" ]
  37. then
  38. echo "PASS: Resolved SOA for $TEST_DOMAIN to $RES_SOA."
  39. exit 0
  40. else
  41. echo "Failed to resolve to proper SOA for $TEST_DOMAIN, got no result."
  42. exit 1
  43. fi